PACSTRAP(8)

NOME
pacstrap - instala pacotes no diretório especificado como nova raiz

SINOPSE

pacstrap [opções] raiz [pacotes...]

DESCRIÇÃO

O pacstrap foi projetado para criar uma nova instalação de sistema do zero. Os pacotes especificados serão instalados em um determinado diretório após a configuração de alguns pontos de montagem básicos. Por padrão, as chaves de assinatura e o mirrorlist do pacman do sistema hospedeiro serão propagados para o chroot.

Se nenhum pacote for especificado para instalação, o metapacote base será instalado.

OPÇÕES

-C <config>
    Usa um arquivo de configuração alternativo para pacman.

-c
    Usa o cache do pacote no host, em vez do destino.

-D
    Ignora as verificações de dependência do pacman.

-G
    Evita copiar o chaveiro do pacman do hospedeiro para o destino.

-i
    Solicita confirmação de pacote quando necessário (executa interativamente).

-K
    Inicializa um chaveiro vazio do pacman no destino (implica em -G).

-M
    Evite copiar o mirrorlist do hospedeiro para o destino.

-N
    Executa no modo cancelar compartilhamento. Isso usará unshare(1) para criar uma nova montagem e espaço de nomes de usuário, permitindo que usuários regulares criem novas instalações de sistema.

-P
    Copia a configuração do pacman do hospedeiro para o destino.

-U
    Usa pacman -U para instalar pacotes. Útil para obter controle refinado sobre os pacotes instalados.

-h
    Emite sintaxe e opções de linha de comando.

VEJA TAMBÉM

pacman(8)

BUGS

Bugs podem ser relatados no rastreador de bugs https://bugs.archlinux.org na categoria Arch Linux e título prefixado com [arch-install-scripts] ou via arch-projects@archlinux.org.

AUTORES

Mantenedores:

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Para contribuidores adicionais, use git shortlog -s no repositório do arch-install-scripts.git repository.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).